/* -------------- Exclusive Update CTA --------------- */
.footer-section {
    position: relative;
    z-index: 1;
    background-color: var(--black);
    padding-top: 70px;
    border-top: 4px solid var(--themeyellow);
}

/* --------------- Footer Heading Section ---------------- */
.ft-tpheading {
    text-align: center;
    margin-bottom: 70px;

    & .heading-40 {
        color: var(--white);
        line-height: 1;
        margin-bottom: 5px;
    }

    & p {
        color: var(--white);
    }
}

/* ------------------ Footer Content ----------------- */
.footer-mdl {
    display: flex;
    justify-content: space-between;

    & .footer-mdl-left {
        width: calc(100% - 352px);
        background-color: #171717;
        border-radius: 20px 0 0 20px;
        display: flex;
        flex-wrap: wrap;

        & .footer-address-sec {
            padding: 55px 66px 50px 55px;
            max-width: 503px;
            border-right: 1px solid #252525;

            & .address-block {
                margin-top: 40px;

                & ul {
                    & li {
                        display: flex;
                        align-items: center;
                        gap: 8px;
                        margin-bottom: 11px;

                        &:last-child {
                            margin-bottom: 0;

                            & .add-img-icon {
                                display: flex;
                                justify-content: start;

                                & img {
                                    width: 17px;
                                    margin-top: 2px;
                                }
                            }
                        }

                        & .add-content {
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 1.45;
                            font-family: var(--sitefonts);
                            letter-spacing: 0.14px;
                            color: #BEBEBE;
                            text-align: left;
                        }
                    }
                }
            }
        }

        .ft-menu-links {
            width: calc(100% - 503px);
            display: flex;
            flex-wrap: wrap;
            padding: 55px 65px;

            & .quicklinks:first-child {
                padding-right: 67px;
                margin-right: 58px;
                border-right: 1px solid #252525;
            }
        }

    }

    & .footer-mdl-right {
        width: 352px;
        background-color: #252525;
        border-radius: 0 20px 20px 0;

        & .card-details {
            padding: 54px 40px 37px;

            & .card-title {
                font-size: 16px;
                line-height: 1.4;
                font-family: var(--sitefonts);
                letter-spacing: 0px;
                text-align: center;
                color: #FFFFFF;
                margin-bottom: 27px;
            }

            & .cards-list {
                display: flex;
                flex-wrap: wrap;
                gap: 14px;

                & .card-img {
                    background: var(--white);
                    border: 1px solid #3A3A3A;
                    border-radius: 10px;
                    padding: 8px;
                }
            }
        }

        .social-handle {
            padding: 18px 60px 24px;
            border-top: 1px solid rgb(255, 255, 255, 0.05);
            display: flex;
            justify-content: center;
            align-items: center;
            gap: 10px;

            & .social-icon {
                width: 34px;
                height: 34px;
                border-radius: 100%;
                border: 1px solid rgb(255, 255, 255, 0.5);
                display: flex;
                justify-content: center;
                align-items: center;
            }

            & .social-title {
                font-family: var(--sitefonts);
                font-size: 16px;
                line-height: 21px;
                font-weight: normal;
                letter-spacing: 0px;
                color: var(--white);
            }

            &:hover {
                & .social-icon {
                    border-color: var(--themeyellow);

                    & img {
                        filter: brightness(0) saturate(100%) invert(79%) sepia(75%) saturate(3933%) hue-rotate(333deg) brightness(86%) contrast(87%);
                    }
                }

                & .social-title {
                    color: var(--themeyellow);
                }
            }
        }
    }
}

.footer-copy {
    padding: 31px 0px 34px;

    & p {
        font-size: 14px;
        line-height: 1.5;
        letter-spacing: 0.14px;
        color: #BEBEBE;
        text-align: center;
    }
}

.ft-heading {
    font-family: var(--sitefonts);
    font-size: 16px;
    font-weight: bold;
    line-height: 26px;
    letter-spacing: 0.32px;
    color: #ECECEC;
    margin-bottom: 5px;
}

.quicklinks .ft-title {
    font-family: var(--sitefonts);
    font-weight: normal;
    font-size: 16px;
    line-height: 21px;
    letter-spacing: 0;
    margin-bottom: 15px;
    position: relative;
    color: #FFFFFF;
    text-transform: uppercase;
}

.quicklinks p,
.quicklinks a {
    color: #BEBEBE;
    font-size: 14px;
    line-height: 1.7;
    font-family: var(--sitefonts);
    font-weight: normal;
    letter-spacing: 0.14px;
    text-decoration: none;
    margin-bottom: 0;
}

.quicklinks p:has(span) {
    display: flex;
    justify-content: space-between;
    gap: 30px;
}

.quicklinks p>span {
    color: #ECECEC;
}

.quicklinks a:hover {
    color: #EBCF74;
}

.quicklinks ul {
    list-style: none;
    padding: 0;
    margin-bottom: 0;
}

.quicklinks ul li {
    margin-bottom: 5px;

    &:last-child {
        margin-bottom: 0;
    }
}

/* Responsive */

@media (max-width: 1599.98px) {
    .ft-tpheading {
        margin-bottom: 40px;
    }

    .footer-mdl {
        & .footer-mdl-left {
            & .footer-address-sec {
                padding: 45px;
                max-width: 455px;
            }

            & .ft-menu-links {
                width: calc(100% - 455px);
                padding: 45px;
            }
        }

        & .footer-mdl-right {
            & .card-details {
                padding: 30px;
            }
        }
    }
}

@media (max-width: 1439.98px) {
    .footer-mdl {
        flex-wrap: wrap;

        & .footer-mdl-left {
            border-radius: 20px 20px 0 0;
            width: calc(100%);

            & .footer-address-sec {
                padding: 45px;
                max-width: 455px;
            }

            & .ft-menu-links {
                width: calc(100% - 455px);
                padding: 45px;

                & .quicklinks:first-child {
                    padding-right: 80px;
                    margin-right: 80px;
                    border-right: 1px solid #252525;
                }
            }
        }

        & .footer-mdl-right {
            width: 100%;
            border-radius: 0 0px 20px 20px;

            & .card-details {
                padding: 25px;

                & .cards-list {
                    display: flex;
                    flex-wrap: wrap;
                    gap: 14px;
                    justify-content: center;
                }

                & .card-title {
                    margin-bottom: 20px;
                }
            }

            .social-handle {
                padding: 18px 40px 18px;
            }
        }
    }
}

@media (max-width: 1199.98px) {
    .footer-section {
        padding-top: 50px;
    }

    .ft-tpheading {
        margin-bottom: 30px;
    }

    .footer-mdl {
        & .footer-mdl-left {
            & .footer-address-sec {
                padding: 35px;
                max-width: 410px;
            }

            & .ft-menu-links {
                width: calc(100% - 410px);
                padding: 35px;

                & .quicklinks:first-child {
                    padding-right: 50px;
                    margin-right: 50px;
                }
            }
        }
    }
}

@media (max-width: 991px) {
    .footer-section {
        padding-top: 40px;
    }

    .footer-mdl {
        & .footer-mdl-left {
            & .footer-address-sec {
                padding: 25px;
                max-width: 100%;
                width: 100%;
                text-align: center;
                border-right: none;

                & .address-block {
                    width: fit-content;
                    margin-inline: auto;
                }
            }

            & .ft-menu-links {
                width: 100%;
                padding: 25px;
                justify-content: center;

                & .quicklinks:first-child {
                    padding-right: 40px;
                    margin-right: 40px;
                }
            }
        }

        & .footer-mdl-right {
            & .card-details {
                & .cards-list {
                    gap: 10px;
                }
            }
        }
    }
}

@media (max-width: 767.98px) {}

@media (max-width: 575.98px) {

    .footer-section {
        padding-top: 30px;
    }

    .footer-mdl {
        & .footer-mdl-left {
            & .footer-address-sec {
                padding: 15px;

                & .address-block {
                    margin-top: 20px;

                    & ul {
                        & li {
                            align-items: start;
                        }
                    }

                    &.mb-40 {
                        margin-bottom: 20px;
                    }
                }
            }

            & .ft-menu-links {
                padding: 15px;

                & .quicklinks {
                    width: 100%;

                    &:first-child {
                        padding-right: 0;
                        margin-right: 0;
                        border-right: none;
                    }
                }
            }
        }

        & .footer-mdl-right {
            & .card-details {
                padding: 15px;

                & .card-title {
                    font-size: 14px;
                    margin-bottom: 15px;
                }

                & .cards-list {
                    gap: 5px;

                    & .card-img {
                        padding: 8px;
                        width: calc(20% - 4px);
                    }
                }
            }

            & .social-handle {
                padding: 15px;
            }
        }
    }

    .footer-copy {
        padding: 15px;
    }

    .quicklinks .ft-title {
        cursor: pointer;
        margin-bottom: 10px;
    }

    .quicklinks ul {
        display: none;
    }

    .quicklinks ul li {
        margin-bottom: 0px;
    }

    .quicklinks:has(.showhide) ul {
        margin-bottom: 18px;
    }

    .ft-title:after {
        position: absolute;
        content: "";
        right: 5px;
        top: 5px;
        width: 12px;
        height: 12px;
        background: url(../images/accordican_plus_icon.svg) no-repeat right 0 center;
        /* filter: brightness(0) saturate(100%) invert(100%) sepia(100%) saturate(16%) hue-rotate(242deg) brightness(104%) contrast(100%); */
        background-size: contain;
        -webkit-transition: .5s ease-in-out;
    }

    .ft-title.showhide:after {
        rotate: 180deg;
        background: url(../images/accordian_about_minus.svg) no-repeat right 0 center;
        background-size: contain;
        -webkit-transition: .5s ease-in-out;
    }
}

@media (max-width: 480px) {}